Bug 836270 - Switch conversation units (the overview) does not work for same currencies
Switch conversation units (the overview) does not work for same currencies
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-calculator (Show other bugs)
7.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Alexander Larsson
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 10:22 EDT by Martin Simon
Modified: 2016-09-19 22:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-03 14:05:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 748732 None None None Never

  None (edit)
Description Martin Simon 2012-06-28 10:22:41 EDT
Description of problem:
The overview (Fr50 = $9.42)of the conversion stays unchanged with some currency combinations

Version-Release number of selected component (if applicable):
gcalctool-6.4.2.1-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Be in Financial mode, choose "Botswana Pula" on the left side and "Algerian Dinar" on the right side
2. Type 1
3. Click Switch conversation units
  
Actual results:
The displayed number changed correctly, the currencies switched but the overview on the right side (P1 = 10.12 something) stays unchanged.

Expected results:
Everything should switch, like if you choose e.g. "CFA Franc" and "Australian Dollar" in this order

Additional info:
Comment 2 RHEL Product and Program Management 2014-03-22 03:06:58 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Matthias Clasen 2015-04-30 23:33:32 EDT
Still applies to the current release. Filed an upstream bug
Comment 5 Matthias Clasen 2015-09-03 14:05:52 EDT
realistically, the only chance that we're ever going to fix this is if an upstream fix comes in as part of a rebase.

Note You need to log in before you can comment on or make changes to this bug.